Page MenuHomePhabricator

[flang][openacc] Add clause validity tests for the update directive
ClosedPublic

Authored by clementval on Dec 1 2020, 7:03 PM.

Details

Summary

Add couple of clause validity tests for the update directive and check for
the restriction where at least self, host or device clause must appear on the directive.

Diff Detail

Event Timeline

clementval created this revision.Dec 1 2020, 7:03 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 1 2020, 7:03 PM
clementval requested review of this revision.Dec 1 2020, 7:03 PM
clementval added a project: Restricted Project.Dec 1 2020, 7:04 PM
sameeranjoshi accepted this revision.Dec 4 2020, 8:40 AM

Looks Good Thanks.

This revision is now accepted and ready to land.Dec 4 2020, 8:40 AM
This revision was landed with ongoing or failed builds.Dec 4 2020, 11:39 AM
This revision was automatically updated to reflect the committed changes.
clementval reopened this revision.Dec 4 2020, 12:19 PM
This revision is now accepted and ready to land.Dec 4 2020, 12:19 PM
clementval updated this revision to Diff 310071.Dec 7 2020, 6:39 PM

Revert to previous version after a bad rebase/update

This revision was landed with ongoing or failed builds.Dec 8 2020, 7:47 AM
This revision was automatically updated to reflect the committed changes.